#now=$(date +%s)
SCRIPTS_PATH=$('pwd')
MCSV_PRODUCT_PATH="$SCRIPTS_PATH/../"
VERSION=1.8.0

cd $MCSV_PRODUCT_PATH/backend
{ # try!
	echo 'Backend step ---------'
	$SCRIPTS_PATH/back_step.sh
} || { # catch!
    echo " ----------------- ERROR back_step -----------------"
    exit 1
}

echo 'Set permission ---------------------------------------------------------------'
chmod 753 -R $MCSV_PRODUCT_PATH/backend/log
rm -Rf $MCSV_PRODUCT_PATH/backend/log/log.txt

cd $MCSV_PRODUCT_PATH/mobile
{ # try!
	echo 'Frontend step -------'   
	cd $MCSV_PRODUCT_PATH/mobile
	$SCRIPTS_PATH/front_step.sh    
} || { # catch!
    echo " ----------------- ERROR front_step -----------------"
    exit 1
}

cd $MCSV_PRODUCT_PATH/mobile
echo 'Replace .env.production -----------------------------------------'
$SCRIPTS_PATH/replace.sh "<>VUE_APP_META_CONTENT_SECURITY_POLICY<>" "Content-Security-Policy" ".env.production"
$SCRIPTS_PATH/replace.sh "<>VUE_APP_UPGRADE_INSECURE_REQUESTS<>" "upgrade-insecure-requests" ".env.production"

echo 'Replace prodEnvironment.json ------------------------------------'
cd src/config
$SCRIPTS_PATH/replace.sh "<>SESSION_TIME<>" "3600000" "prodEnvironment.json"
$SCRIPTS_PATH/replace.sh "<>MODULES_THEME_COLOR<>" "#2d68c3" "prodEnvironment.json"

echo 'Grunt'
cd $MCSV_PRODUCT_PATH/mobile
grunt zhWords
grunt buildEnvironment:production

echo 'Update Version - Front'
cd $MCSV_PRODUCT_PATH/mobile
#$SCRIPTS_PATH/replace.sh 'version": "1.0.0' 'version": "'.$PACKAGE_VERSION "package.json"
#$SCRIPTS_PATH/replace.sh 'version": "1.0.0' "version\: \\" "package.json"
#$SCRIPTS_PATH/replace.sh "version\: \1.0.0" "version\: \0.0.0" "package.json"
#$SCRIPTS_PATH/replace.sh '"1.0.0' '"0.0.0' "package.json"
$SCRIPTS_PATH/replace.sh '0.0.0' $VERSION "package.json"
cat ./package.json

echo 'Update Version - Back'
cd $MCSV_PRODUCT_PATH/backend/config/
#$SCRIPTS_PATH/replace.sh "1.0.0" "0.0.0" "parameters.xml"
$SCRIPTS_PATH/replace.sh "0.0.0" $VERSION "parameters.xml"

echo 'Build'
{ # try
	cd $MCSV_PRODUCT_PATH/mobile
	npm run build
} || { # catch
echo 'Run Build Error ------------------------------------------------------'
    exit 1
}

echo 'Move json'
cd $MCSV_PRODUCT_PATH/mobile
#mv -v ./src/assets/json ./dist/assets/json
mv -v ./public/metadata/json ./dist/assets/json
cp $MCSV_PRODUCT_PATH/modules.json ./dist/assets/json/modules.json


echo 'Remove development dependencies ----------------------------------'
cd $MCSV_PRODUCT_PATH
rm -Rf README.md
rm -Rf backend/parameters
rm -Rf backend/config/parameters.xml.template
rm -Rf backend/config/dataSourcesMapping.xml.template
rm -Rf mobile_old
rm -Rf mobile/package-lock.json

echo "Finalizado!"
